<script language="javascript"> 
/**
 *  label_mouseClick()  
 */  
function label_mouseClick( objID )
{
  if( objID.indexOf('label') != -1 )  
  {  
    alert('clickLabel');
  }  
}// End  
  
/**  
 *  label_mouseDown()  
 */  
  function label_mouseDown( objID )  
  {  
    if( objID.indexOf('label') != -1 )  
    {  
      alert('down');
    }  
  }// End  
  
/**  
 *  label_mouseUp()  
 */  
  function label_mouseUp( objID )  
  {  
    if( objID.indexOf('label') != -1 )  
    {  
      alert('Up');
    }  
  }// End  
  
/**  
 *  label_mouseOver()  
 */  
  function label_mouseOver( objID )  
  {  
    if( objID.indexOf('label') != -1 )  
    {  
      alert('Over');
    }  
  }// End  
  
/**  
 *  label_mouseOut()  
 */  
  function label_mouseOut( objID )  
  {  
    if( objID.indexOf('label') != -1 )  
    {
      alert('Out');  
    }  
  }// End  
  
/**  
 *  label_mouseMove()  
 */  
  function label_mouseMove( objID )  
  {  
    if( objID.indexOf('label') != -1 )  
    {  
      alert('Move');
    }  
  }// End  

function label_getID( nObj )
{
  return findDOM( nObj, 0 );
}// End function label_getID()

//  ------------------------------------------------------------  //
//  Conjunto de funções para manipular as propriedades do Objeto  //
//  ------------------------------------------------------------  //
function setLabel_texto( nObj, nTexto )
{
  objID = findDOM( nObj + '_caption', 0 );
  
  objID.innerHTML = nTexto;
}// End function setLabel_texto( objID, nTexto )

function setLabel_bold( nObj )
{
  objID = findDOM( nObj + '_caption', 1 );
  
  if( objID.fontWeight == '' ||
      objID.fontWeight == 'normal'
    )
  {
    objID.fontWeight='bold';
  }else
  {
    objID.fontWeight='normal';
  }// End
}// End function setLabel_bold( objID )

function setLabel_color( nObj, nColor )
{
  objID = findDOM( nObj + '_caption', 1 );
  objID.color = '#' + nColor;

}// End function setLabel_color( objID, nCor )

/*
function setLabel_visible( nObj, nVis )
{
  objID = findDOM( nObj + '_caption', 1 );

  if( objID.visibility == 'visible' ||
      objID.visibility == 'inherit' ||
      objID.visibility == ''
    )
  {
    objID.visibility = 'hidden';
  }else
  {
    objID.visibility = 'inherit';
  }// End
}// End function setLabel_visible( objID )
*/

  function setLabel_visible( nObj, status )
  {
    objID = nObj;
    objDOM = findDOM( objID, 1 );

    if( status == 'true' )
    {
      objDOM.visibility = "inherit";

    }else
    {
      objDOM.visibility = "hidden";

    }// End if( status == 'true' )

  }// End function setLabel_visible( nObj, status )
  

</script> 
